-- bonus names
HEALPONTSBS_NAMES = {	
	INT 		= "Intellect",
	SPI 		= "Spirit",
	SPELLCRIT 	= "Crit. Spell",
	HEAL 		= "Healing",
	HOLYCRIT 	= "Crit. Holy Spell",

	MANAREG 	= "Mana Regeneration",
	MANA 		= "Mana Points",

	-- Added
	CASTINGREG  = "Mana Regeneration while casting", 	  
	NATURECRIT  = "Crit. Nature Spell",                   
	CASTINGREGROWTH = "Reduced casting time Regrowth",    
	CASTINGHOLYLIGHT = "Reduced casting time Holy Light", 
	CASTINGFLASHHEAL = "Reduced casting time Flash Heal", 
	DURATIONREJUV = "Increased duration Rejuvenation",
	MANAREGNORMAL = "Normal Mana Regeneration"
};

-- equip and set bonus prefixes:
HEALPONTSBS_PREFIX_EQUIP = "Equip: ";
HEALPONTSBS_PREFIX_SET = "Set: ";

-- passive bonus patterns. checked against lines which start with above prefixes
HEALPONTSBS_PATTERNS_PASSIVE = {
	{ pattern = "Improves your chance to get a critical strike with spells by (%d+)%%%.", effect = "SPELLCRIT" },
	{ pattern = "Improves your chance to get a critical strike with Holy spells by (%d+)%%%.", effect = "HOLYCRIT" },
	{ pattern = "Increases the critical effect chance of your Holy spells by (%d+)%%%.", effect = "HOLYCRIT" },
	{ pattern = "Increases healing done by spells and effects by up to (%d+)%.", effect = "HEAL" },
	{ pattern = "Increases damage and healing done by magical spells and effects by up to (%d+)%.", effect = "HEAL" },
	{ pattern = "Restores (%d+) mana per 5 sec%.", effect = "MANAREG" },

	-- Added
	{ pattern = "Allows (%d+)%% of your Mana regeneration to continue while casting%.", effect = "CASTINGREG"},		
	{ pattern = "Improves your chance to get a critical strike with Nature spells by (%d+)%%%.", effect = "NATURECRIT"}, 
	{ pattern = "Reduces the casting time of your Regrowth spell by 0%.(%d+) sec%.", effect = "CASTINGREGROWTH"}, 
	{ pattern = "Reduces the casting time of your Holy Light spell by 0%.(%d+) sec%.", effect = "CASTINGHOLYLIGHT"}, 
	{ pattern = "%-0%.(%d+) sec to the casting time of your Flash Heal spell%.", effect = "CASTINGFLASHHEAL"}, 
	{ pattern = "Increases the duration of your Rejuvenation spell by (%d+) sec%.", effect = "DURATIONREJUV"},
	{ pattern = "Increases your normal health and mana regeneration by (%d+)%.", effect = "MANAREGNORMAL"}
};

-- generic patterns have the form "+xx bonus" or "bonus +xx" with an optional % sign after the value.

-- first the generic bonus string is looked up in the following table
HEALPONTSBS_PATTERNS_GENERIC_LOOKUP = {
	["All Stats"] 			= {"INT", "SPI"},
	["Intellect"]			= "INT",
	["Spirit"] 				= "SPI",

	["Healing Spells"] 		= "HEAL",
	["Increases Healing"] 	= "HEAL",
	["Healing and Spell Damage"] = "HEAL",
	["Damage and Healing Spells"] = "HEAL",	-- Added
	["mana every 5 sec"] 	= "MANAREG",
	["Mana Regen"] 			= "MANAREG",
	["Mana"]				= "MANA",
};	

-- next we try to match against one pattern of stage 1 and one pattern of stage 2 and concatenate the effect strings
HEALPONTSBS_PATTERNS_GENERIC_STAGE1 = {
}; 	

HEALPONTSBS_PATTERNS_GENERIC_STAGE2 = {
}; 	

-- finally if we got no match, we match against some special enchantment patterns.
HEALPONTSBS_PATTERNS_OTHER = {
	{ pattern = "Mana Regen (%d+) per 5 sec%.", effect = "MANAREG" },
	{ pattern = "Zandalar Signet of Mojo", effect = "HEAL", value = 18 },
	{ pattern = "Zandalar Signet of Serenity", effect = "HEAL", value = 33 }
};
